# Bgv Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/bgv/

Schema for the `Bgv` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The BGV's unique identifier
- **`candidate`** _(object)_
  The BGV's candidate
  - **`id`** _(string)_
    The candidate's unique identifier
  - **`first_name`** _(string)_
    The candidate's first name
  - **`middle_name`** _(string)_
    The candidate's middle name
  - **`last_name`** _(string)_
    The candidate's last name
  - **`name`** _(string)_
    The candidate's full name
  - **`emails`** _(array<object>)_
    The candidate's email addresses
    - **`email`** _(string)_
      The email address
    - **`type`** _(string)_
      The type of email address
    - **`is_primary`** _(boolean)_
      Whether the email address is primary
  - **`phones`** _(array<object>)_
    The candidate's phone numbers
    - **`number`** _(string)_
      The phone number
    - **`extension`** _(string)_
      The extension of the phone number
    - **`type`** _(string)_
      The type of phone number
  - **`gender`** _(string)_
    The candidate's gender
    Allowed: `male`, `female`, `non_binary`, `not_specified`, `prefer_not_to_say`, `other`
  - **`date_of_birth`** _(string)_
    The candidate's date of birth
  - **`address`** _(object)_
    The candidate's address
    - **`street_1`** _(string)_
      The first line of the street address
    - **`street_2`** _(string)_
      The second line of the street address
    - **`city`** _(string)_
      The city
    - **`state`** _(string)_
      The state
    - **`postal_code`** _(string)_
      The postal code
    - **`country`** _(string)_
      The country
  - **`employee_number`** _(string)_
    The candidate's employee number
- **`employee`** _(object)_
  The employee associated with the background verification
  - **`id`** _(string)_
    The employee's unique identifier
  - **`name`** _(string)_
    The employee's name
- **`package`** _(object)_
  The BGV's package
  - **`id`** _(string)_
    The package's unique identifier
  - **`name`** _(string)_
    The package's name
  - **`package_group`** _(object)_
    The package's package group
    - **`id`** _(string)_
      The package group's unique identifier
    - **`name`** _(string)_
      The package group's name
- **`status`** _(string)_
  The BGV's status
  Allowed: `draft`, `invited`, `pending_candidate`, `in_progress`, `insufficient`, `completed`, `canceled`, `expired`, `failed`, `unknown`
- **`result`** _(string)_
  The BGV's result
  Allowed: `clear`, `consider`, `discrepant`, `verified`, `unable_to_verify`, `not_applicable`, `unknown`
- **`checks`** _(array<object>)_
  The BGV's checks
  - **`id`** _(string)_
    The check's unique identifier
  - **`name`** _(string)_
    The check's name
  - **`type`** _(string)_
    The check's type
  - **`status`** _(string)_
    The check's status
  - **`result`** _(string)_
    The check's result
  - **`details`** _(string)_
    The check's details
- **`documents`** _(array<object>)_
  The BGV's documents
  - **`id`** _(string)_
    The document's unique identifier
  - **`type`** _(string)_
    The document's type
  - **`name`** _(string)_
    The document's name
  - **`url`** _(string)_
    The document's URL
  - **`uploaded_at`** _(string)_
    The date and time of the document's upload
- **`report`** _(object)_
  The BGV's report
  - **`expires_at`** _(string)_
    The date and time of the report's expiry
  - **`mime_type`** _(string)_
    The report's MIME type
- **`urls`** _(array<object>)_
  The BGV's URLs
  - **`url`** _(string)_
    The URL
  - **`type`** _(string)_
    The URL type
    Allowed: `invitation`, `consent`, `candidate_portal`, `report`
- **`requested_at`** _(string)_
  The date and time of the BGV's request
- **`submitted_at`** _(string)_
  The date and time of the candidate's submission
- **`completed_at`** _(string)_
  The date and time of the BGV's completion
- **`expires_at`** _(string)_
  The date and time of the BGV's expiry
- **`created_at`** _(string)_
  The date and time of the BGV's creation
- **`updated_at`** _(string)_
  The date and time of the BGV's last update
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/bgv](/docs/api-reference/unified-hris-api/bgv/list) — List Bgv
- [POST /unified/hris/bgv](/docs/api-reference/unified-hris-api/bgv/create) — Create Bgv
- [GET /unified/hris/bgv/{id}](/docs/api-reference/unified-hris-api/bgv/get) — Get Bgv
